{
	"name": "form/nc/erp-sync/ksef/column/invoice.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"change_compare": false,
			"icon": "nc-link-icon",
			"link_field": "ord.order_id",
			"name": "Row",
			"record_type": "invoice",
			"variable": "idx"
		},
		{
			"export": false,
			"name": "Status",
			"variable": "change_status",
			"editable": false,
			"width": 65
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"field": "ord.order_id",
			"name": "Invoice",
			"width": 100
		},
		{
			"change_compare": false,
			"field": "ord.json_data.transfer_id",
			"name": "KSeF number",
			"width": 150,
			"organization_id": {
				"4d": { "load": false }
			}
		},
		{
			"change_compare": false,
			"field": "ord.company_reference_number",
			"name": "Invoice number",
			"width": 130
		},
		{
			"change_compare": false,
			"field": "ord.json_data.tax_id",
			"name": "Tax ID",
			"width": 120,
			"import": false,
			"organization_id": {
				"4d": { "load": false }
			}
		},
		{
			"change_compare": false,
			"field": "ord.invoicing_company_id",
			"name": "Customer",
			"width": 100,
			"import": false
		},
		{
			"field": "co.json_data.transfer_id",
			"name": "KSeF customer",
			"width": 130,
			"organization_id": {
				"4d": { "load": false }
			}
		},
		{
			"change_compare": false,
			"field": "ord.order_date",
			"type": "date",
			"name": "Issue date",
			"width": 100
		},
		{
			"change_compare": false,
			"field": "ord.price_without_vat",
			"name": "Gross amount",
			"format": "%'.2f",
			"width": 110
		},
		{
			"change_compare": false,
			"field": "ord.price_with_vat",
			"name": "Net amount",
			"format": "%'.2f",
			"width": 110
		},
		{
			"change_compare": false,
			"field": "ord.vat_price",
			"name": "VAT amount",
			"format": "%'.2f",
			"width": 110
		},
		{
			"change_compare": false,
			"field": "ord.currency_id",
			"name": "Currency",
			"width": 70
		},
		{
			"change_compare": false,
			"field": "ord.json_data.vendor_name",
			"name": "Vendor",
			"width": 180,
			"organization_id": {
				"4d": { "load": false }
			}
		},
		{
			"change_compare": false,
			"field": "ord.json_data.buyer_name",
			"name": "Buyer",
			"width": 180,
			"organization_id": {
				"4d": { "load": false }
			}
		},
		{
			"change_compare": false,
			"field": "ord.json_data.processing_status",
			"name": "Processing",
			"width": 100,
			"organization_id": {
				"4d": { "load": false }
			}
		},
		{
			"change_compare": false,
			"field": "ord.json_data.receipt_timestamp",
			"type": "datetime",
			"name": "Received",
			"width": 140,
			"organization_id": {
				"4d": { "load": false }
			}
		},
		{
			"change_compare": false,
			"import": false,
			"variable": "ord.json_data",
			"name": "Data",
			"width": 4000
		},
		{
			"change_compare": false,
			"field": "ord.record_id",
			"hide": true,
			"name": "Record id",
			"width": 110,
			"import": false
		}
	]
}
